# ---> AL
.vscode/*
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
!.vscode/extensions.json
*.code-workspace

# Local History for Visual Studio Code
.history/
*.app
.snapshots/*

# CMake 生成的构建目录
build/
cmake-build-*/

# 通用构建产物
*.o
*.obj
*.log
*.tmp
*.exe
*.dll
*.lib
*.pdb

# Visual Studio / MSVC 相关中间文件
*.vcxproj
*.vcxproj.user
*.vcxproj.filters
*.sln
Debug/
Release/
x64/
x86/

